#include <bits/stdc++.h>

using namespace std;

int main()
{
    std::ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int n;
    cin >> n;
    vector<int> v(2*n);
    for(int i = 1; i <= 2*n; i++){
        v[i] = i;
    }
    vector<int> a(0);
    vector<int> b(0);
    for(int i = 1; i <= 2*n; i++){
        if(i % 2 == 1){
            a.push_back(i);
        }
        else{
            b.push_back(i);
        }
    }
    for(int i = 0; i < n; i++){
        cout << a[i] << " ";
    }
    cout << endl;
    for(int i = 0; i < n; i++){
        cout << b[i] << " ";
    }
}